project_name: cvcloud

before:
  hooks:
    - go mod download
builds:
  -
    env:
      - CGO_ENABLED=0
    ldflags:
      - -s
      - -w
      - -X gitlab.com/kindaicvlab/cvcloud/cvcloud/pkg/version.version=v{{ .Version }}
    goos:
      - windows
      - darwin
      - linux
    goarch:
      - amd64
      - arm64
      - arm
    ignore:
      - goos: darwin
        goarch: arm
    main: ./cmd/main.go
    binary: cvcloud
archives:
  -
    builds:
      - cvcloud
    name_template: "{{ .ProjectName }}_{{ .Version }}_{{ .Os }}_{{ .Arch }}"
checksum:
  name_template: "{{ .ProjectName }}_checksums.txt"
changelog:
  sort: asc
release:
  gitlab:
    owner: kindaicvlab/cvcloud
    name: cvcloud
brews:
  -
    name: cvcloud
    tap:
      owner: kindaicvlab/cvcloud
      name: homebrew-cvcloud
      token: "{{ .Env.HOMEBREW_TAP_GITLAB_TOKEN }}"
    url_template: "https://gitlab.com/kindaicvlab/cvcloud/cvcloud/-/releases/{{ .Tag }}/downloads/{{ .ArtifactName }}"
    homepage: "https://gitlab.com/kindaicvlab/cvcloud/cvcloud"
    description: "client tool to use cvcloud"
